# VectorNav C++ Library: vn::data::integrity::Checksum8 Class Reference

vn::data::integrity::Checksum8 Class Reference

Helpful class for working with 8-bit checksums. More...

`#include <error_detection.h>`

## Static Public Member Functions

static uint8_t | compute (const char data[], size_t length)
| Computes the 8-bit checksum of the provided data. More...

## Detailed Description

Helpful class for working with 8-bit checksums.

## Member Function Documentation

static uint8_t vn::data::integrity::Checksum8::compute | ( | const char | data[],
|  | size_t | length
| ) |  |

static

Computes the 8-bit checksum of the provided data.

Parameters

  [in] | data | The data array to compute the 8-bit checksum for.
  [in] | length | The length of data bytes from the array to compute the checksum over.

Returns
  The computed checksum.

The documentation for this class was generated from the following file:

- include/vn/error_detection.h